Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.db
Interface MemoDB

All Known Implementing Classes:
  MemoJdbcDB

    public interface MemoDB

The Interface for a Memo DB.

Method Summary
`void` | `addMemo(Memo m)` Adds a memo to the database.
`void` | `delete(String name)` Delete a memo by name.
`Collection<String>` | `getNames()` Gets all memo names form the db
`Collection<Memo>` | `readAll()` Read all memos from the db
`Memo` | `readMemo(String name)` Read a memo by name
`void` | `updateMemo(Memo m)` Update a memo in the db.

Method Detail

### addMemo

    void addMemo(Memo m)
                 throws Exception

  Adds a memo to the database.

  Parameters:
    `m` - the Memo
  Throws:
    `Exception`

### delete

    void delete(String name)
                throws Exception

  Delete a memo by name.

  Parameters:
    `name` - the name
  Throws:
    `Exception`

### getNames

    Collection<String> getNames()
                                throws Exception

  Gets all memo names form the db

  Returns:
    a collection of memo names
  Throws:
    `Exception`

### readAll

    Collection<Memo> readAll()
                             throws Exception

  Read all memos from the db

  Returns:
    a collection of all memos
  Throws:
    `Exception`

### readMemo

    Memo readMemo(String name)
                  throws Exception

  Read a memo by name

  Parameters:
    `name` - the name
  Returns:
    the memo
  Throws:
    `Exception`

### updateMemo

    void updateMemo(Memo m)
                    throws Exception

  Update a memo in the db.

  Parameters:
    `m` - the memo
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic